OGRE: Ogre::VertexCacheProfiler Class Reference - OGRE Documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes

# Ogre::VertexCacheProfiler Class Reference
[RenderSystem]

Vertex cache profiler. More...

`#include <OgreVertexIndexData.h>`

Inheritance diagram for Ogre::VertexCacheProfiler:
[legend]

List of all members.

## Public Types
enum | CacheType { FIFO, LRU }
## Public Member Functions
| VertexCacheProfiler (unsigned int cachesize=16, CacheType cachetype=FIFO)
| ~VertexCacheProfiler ()
void | profile (const HardwareIndexBufferSharedPtr &indexBuffer)
void | reset ()
void | flush ()
unsigned int | getHits ()
unsigned int | getMisses ()
unsigned int | getSize ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Private Member Functions
bool | inCache (unsigned int index)
## Private Attributes
unsigned int | size
uint32 * | cache
CacheType | type
unsigned int | tail
unsigned int | buffersize
unsigned int | hit
unsigned int | miss

## Detailed Description

Vertex cache profiler.

Remarks:
  Utility class for evaluating the effectiveness of the use of the vertex cache by a given index buffer.

Definition at line 282 of file OgreVertexIndexData.h.

## Member Enumeration Documentation

enum Ogre::VertexCacheProfiler::CacheType

Enumerator:

  FIFO |
  LRU |

Definition at line 285 of file OgreVertexIndexData.h.

## Constructor & Destructor Documentation

Ogre::VertexCacheProfiler::VertexCacheProfiler | ( | unsigned int | cachesize = `16`,
|  | CacheType | cachetype = `FIFO` |
| ) |  |  |

Definition at line 289 of file OgreVertexIndexData.h.

References Ogre::MEMCATEGORY_GEOMETRY, and OGRE_ALLOC_T.

Ogre::VertexCacheProfiler::~VertexCacheProfiler | ( |  | ) |

Definition at line 295 of file OgreVertexIndexData.h.

References Ogre::MEMCATEGORY_GEOMETRY, and OGRE_FREE.

## Member Function Documentation

void Ogre::VertexCacheProfiler::flush | ( |  | ) |

Definition at line 302 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getHits | ( |  | ) |

Definition at line 304 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getMisses | ( |  | ) |

Definition at line 305 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getSize | ( |  | ) |

Definition at line 306 of file OgreVertexIndexData.h.

bool Ogre::VertexCacheProfiler::inCache | ( | unsigned int | index | ) | `[private]`

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::VertexCacheProfiler::profile | ( | const HardwareIndexBufferSharedPtr & | indexBuffer | ) |

void Ogre::VertexCacheProfiler::reset | ( | void |  | ) |

Definition at line 301 of file OgreVertexIndexData.h.

## Member Data Documentation

unsigned int Ogre::VertexCacheProfiler::buffersize`[private]`

Definition at line 312 of file OgreVertexIndexData.h.

uint32* Ogre::VertexCacheProfiler::cache`[private]`

Definition at line 309 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::hit`[private]`

Definition at line 313 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::miss`[private]`

Definition at line 313 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::size`[private]`

Definition at line 308 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::tail`[private]`

Definition at line 312 of file OgreVertexIndexData.h.

CacheType Ogre::VertexCacheProfiler::type`[private]`

Definition at line 310 of file OgreVertexIndexData.h.

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:03